import Ember from 'ember';

const { service } = Ember.inject;

export default Ember.Controller.extend({
  session: service('session'),

  actions: {
    authenticate() {
      'use strict';
      let {identification, password } = this.getProperties('identification', 'password');

      this.get('session').authenticate('authenticator:oauth2', identification, password)
        .catch((reason) => {
          this.set('errorMessage', reason.error);

        });
    }
  }
});
