import DS from 'ember-data';

export default DS.Model.extend({
  uid: DS.attr('string'),
  forename: DS.attr('string'),
  surname: DS.attr('string'),
  gender: DS.attr('number'),
  dob: DS.attr(),
  bio: DS.attr('string'),
  fullName: function() {
    return '%@ %@'.fmt(this.get('forename'), this.get('surname'));
  }.property('forename', 'surname'),
  qualifiedGender: function() {
    let genderArray = ['Male', 'Female'];
    return genderArray[this.get('gender')];
  }.property('gender')
});


