import Ember from 'ember';
import config from './config/environment';

const Router = Ember.Router.extend({
  location: config.locationType
});

Router.map(function() {
  this.route('index', {path: '/'});
  this.route('login');
  this.route('auth-error');
  this.route('about');
  this.route('signup');
  this.route('profile');
  this.route('company');
  this.route('newcompany');
  this.route('venue');
  this.route('pages');
});

export default Router;
