import Ember from 'ember';

const { inject: { service }, RSVP } = Ember;

export default Ember.Route.extend({

  sessionAccount: service('session-account'),
  model: function() {
    'use strict';
    const accountId = this.get('sessionAccount.account.id');

    return new RSVP.Promise((resolve,reject) => {
      return this.get('store').find('profile',accountId)
            .then(resolve,reject);
    });

  }
});
