import Ember from 'ember';
import ApplicationRouteMixin from 'ember-simple-auth/mixins/application-route-mixin';

const { service } = Ember.inject;

export default Ember.Route.extend(ApplicationRouteMixin, {
  sessionAccount: service('session-account'),
  _loadCurrentUser() {
      return this.get('sessionAccount').loadCurrentUser();
    },
  beforeModel() {
     return this._loadCurrentUser();
   },
  sessionAuthenticated() {
      this._super(...arguments);
      this._loadCurrentUser().catch(() => this.get('session').invalidate());
    }
});
